local eventFrame = CreateFrame("Frame");
local PitBull_HealthBar = PitBull_HealthBar;
local QuickHealth = LibStub("LibQuickHealth-1.0");
local RL = AceLibrary("Roster-2.1");
local _G;

eventFrame:SetScript("OnEvent", function()
	QuickHealth:RegisterCallback("HealthUpdated", function(event, GUID, newHealth)
		for u in RL:IterateRoster(true) do
			local unitid = u.unitid;
			if(GUID = UnitGUID(unitid)) then
				GridStatusHealth:UpdateUnit(unitid);
			end
		end
	end);
end);

-- env changement code taken from interruptus
local proxyEnv = {
	UnitHealth = function(...) QuickHealth.UnitHealth(QuickHealth, ...); end,
}

setmetatable(proxyEnv, { 
	__index    = _G,
	__newindex = function (t, k, v) _G[k] = v end,
})

setfenv(GridStatusHealth.UpdateUnit, proxyEnv);

eventFrame:RegisterEvent("PLAYER_LOGIN");